[Lenovo 3000 N100 Notebook 0768] Synaptic Touchpad constantly losing sync

Bug #1165089 reported by Neil Wilson on 2013-04-05
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

A common problem has popped back up again in raring and quantal (but was ok in the precise I've just upgraded from).

The Touchpad is regularly losing sync during operation, which causes jerky operation at best and at worst loses trackpad key function.

Apr 5 17:40:47 lenovo-3000-n100 kernel: [ 1214.752049] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Apr 5 17:40:47 lenovo-3000-n100 kernel: [ 1214.754952] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Apr 5 17:40:47 lenovo-3000-n100 kernel: [ 1214.757223] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Apr 5 17:40:47 lenovo-3000-n100 kernel: [ 1214.765448] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
Apr 5 17:40:47 lenovo-3000-n100 kernel: [ 1214.767379] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
Apr 5 17:40:47 lenovo-3000-n100 kernel: [ 1214.767387] psmouse serio4: issuing reconnect request

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-16-generic 3.8.0-16.26
ProcVersionSignature: Ubuntu 3.8.0-16.26-generic 3.8.5
Uname: Linux 3.8.0-16-generic x86_64
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: neil 2117 F.... pulseaudio
CRDA:
 country GB:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
CheckboxSubmission: 55cafa5b8b82ed224cc59d444cb1fc25
CheckboxSystem: 3e53d3ea5811723345f19eff5070f9ab
Date: Fri Apr 5 17:41:28 2013
HibernationDevice: RESUME=UUID=eea5dc1e-6d43-4a78-a111-eb7538c00ed5
InstallationDate: Installed on 2012-02-20 (409 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: LENOVO 0768BXG
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-16-generic root=UUID=69e127cd-4d69-448f-a3bc-2a63defc51ae ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-16-generic N/A
 linux-backports-modules-3.8.0-16-generic N/A
 linux-firmware 1.104
SourcePackage: linux
UpgradeStatus: Upgraded to raring on 2013-04-05 (0 days ago)
dmi.bios.date: 04/30/07
dmi.bios.vendor: LENOVO
dmi.bios.version: 63ET62WW
dmi.board.name: CAPELL VALLEY(NAPA) CRB
dmi.board.vendor: LENOVO
dmi.board.version: Not Applicable
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnLENOVO:bvr63ET62WW:bd04/30/07:svnLENOVO:pn0768BXG:pvr3000N100:rvnLENOVO:rnCAPELLVALLEY(NAPA)CRB:rvrNotApplicable:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: 0768BXG
dmi.product.version: 3000 N100
dmi.sys.vendor: LENOVO

Neil Wilson (neil-aldur) wrote :
Neil Wilson (neil-aldur) wrote :

neil@lenovo-3000-n100:~$ dmesg | grep -i synaptic
[ 15.312762] psmouse serio4: synaptics: Touchpad model: 1, fw: 6.2, id: 0x1a0b1, caps: 0xa04753/0x200000/0x0, board id: 3655, fw id: 187194
[ 15.407465] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio4/input/input7

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0]. You will need to install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc5-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: regression-release
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Neil Wilson (neil-aldur) wrote :

Retested with the mainline kernel requested and the fault cannot be replicated on that kernel.

However X came up in VESA mode rather than the usual Intel driver and the framebuffer didn't show on boot.

The drm device (i915) is missing from the X config and the boot sequence.

tags: added: kernel-fixed-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: needs-reverse-bisect quantal

Neil Wilson, could you please test for this in Saucy via http://cdimage.ubuntu.com/daily-live/current/ ?

tags: added: latest-bios-63et62ww
summary: - Synaptic Touchpad constantly losing sync
+ [Lenovo 3000 N100 Notebook 0768] Synaptic Touchpad constantly losing
+ sync
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Gero Graubner (graubner) wrote :

I just discovered (using Thinkpad L520 with 12.04 LTS, Kernel 3.2.0-53-generic), that there must be something wrong with the CPU frequency scaling.

Found this in the Arch-Linux Wiki:

'If you use CPU frequency scaling, avoid using the "ondemand" governor and use the "performance" governor when possible, as the touchpad may lose sync when the CPU frequency changes."

https://wiki.archlinux.org/index.php/Touchpad_Synaptics#Touchpad_synchronization_issues

If I set the governor to "performance" instead of "ondemand" the sync-faults totaly gone.

If you run Unity you can try the indicator-cpufreq (sudo apt-get install indicator-cpufreq)

Choose "performance" and test it. No stucks and sync-faults.
After going back to "ondemand" the stucks are back.

The gonvernor was always set to "performance" after boot/login, but was switched to "ondemand" after a minute or so (to speed up login speed as much as possible)

As a workaround until (hopefully) a fix is comming:
So, if you want to set the govenor fix to "performance" you have to edit the file: etc/init.d/ondemand (line 27) and change

echo -n ondemand > $CPUFREQ

to

echo -n performance > $CPUFREQ'

or simply paste:
sudo sed -i s/'echo -n ondemand > $CPUFREQ'/'echo -n performance > $CPUFREQ'/g /etc/init.d/ondemand

and reboot.

To switch it back to default "ondemand" paste:
sudo sed -i s/'echo -n performance > $CPUFREQ'/'echo -n ondemand > $CPUFREQ'/g /etc/init.d/ondemand

Gero

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Gero Graubner, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions or comments, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers